using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Index : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack) 
        {
            BindAd();
            getProductHot();
        }
    }

    /// <summary>
    /// 获取产品
    /// </summary>
    private void getProductHot()
    {
        JY.BLL.Product pdbll = new JY.BLL.Product();
        DataSet ds = pdbll.GetListByPage(" IsDelete=0", " sort", 0, 6);

        rptProductHot.DataSource = ds.Tables[0];
        rptProductHot.DataBind();
    }

    /// <summary>
    /// 首页大图
    /// </summary>
    protected void BindAd()
    {
        try
        {
            JY.BLL.Advert bll = new JY.BLL.Advert();
            rptAd.DataSource = bll.GetList(4, " isdelete=0 and AdvertTypeID=3 ", " sort asc,id desc").Tables[0];
            rptAd.DataBind();            
        }
        catch (Exception ex)
        {
        }
    }
}
